Subject: bug#24625: 26.0.50; Local variables list at beginning of a file

From: Marco Wahl <[email-masked]>
Date: Fri, 15 Nov 2019 10:07:22 +0100

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> For people who want to keep the first line short this feature could
>>> help.
>>> 
>>> Possibly of interest:
>>> 
>>> My motivation asking for this feature was local variables at the bottom
>>> of outline/Org files.  In my experience for those kind of files, which
>>> typically consist of some trees, it is rather difficult to keep
>>> something (here the local variables) at the bottom.  Too easily a
>>> further tree gets appended at the end of the file or the trees in the
>>> file get sorted.  On the other hand the top of those kind of files stays
>>> relatively static.
>
> I usually set up a header like the following at the end of the
> file:
>
> * org-mode configuration    :noexport:
>
> #+STARTUP: content hidestars indent
> # Local Variables:
>
> # ispell-local-dictionary: "swedish"
> # End:
>
> That avoids accidentally exporting the header or moving it
> around.  YMMV.

Thanks for this idea..

>> If this is for Org, perhaps Org could have its own private feature?
>
> Org already has this for various settings, but not for arbitrary Lisp
> variables.  Perhaps someone could suggest to add missing options to
> the org mode developer.

Good idea, I think.  Possibly I'll try to go down that (Org) path if the
issue bothers me again.

>> In general, having the variables at the beginning will get in the way
>> of reading the file's contents by humans: you will first need to skip
>> the variables' section and wonder what does that do there.
>
> Agreed.

Agreed.

Possibly it's time to close bug#24625.

Thanks all!